Create End User
https://api.druo.com/end-users/createCreates a new End User representing an individual or an organization.
This endpoint creates an End User object. End Users can be either individuals (humans) or organizations (companies), and store associated identity details, contact information, and billing addresses.
Request body
The type of end user. Must be either INDIVIDUAL or ORGANIZATION.
INDIVIDUALORGANIZATIONThe user's email address.
The user's first name. Required if type is INDIVIDUAL.
The user's last name. Required if type is INDIVIDUAL.
The organization's name. Required if type is ORGANIZATION.
The user's national or local identification number. For Mexico, use the 13-digit RFC. Required for merchants in Colombia.
The user's ID type.
The user's citizenship in 3-letter ISO code.
The user's phone number.
The country code for the user's phone number.
The user's phone number without country code.
The merchant ID associated with this end user.
The user's date of birth in YYYY-MM-DD format.
The user's address details.
Address line 1.
Address line 2.
Address line 3.
Locality of the provided address.
Sublocality of the provided address.
Administrative district of the provided address.
Postal code of the provided address.
Country of the provided address as a 3-letter ISO code.
The user's preferred language, used for system notifications.
A custom note associated with this end user.
The End User's primary reference. Can be any value to associate the end user to an entity in an external system.
The End User's secondary reference. Can be any value to associate the end user to an entity in an external system.
Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.
Response
The user's phone number details.
{"country_code": 57, "number": 3002328080}The user's address details.
Administrative district of the provided address.
foThe user's preferred language. Used for system notifications.
en_USThe End User's primary reference. Can be any value to associate the end user to an entity in an external system.
23423524The End User's secondary reference. Can be any value to associate the end user to an entity in an external system.
bj39fhow39fhqp3f0hfae4344Set of key-value pairs that you can attach to an object.
{"order_id": "6735"}The date and time the end user was created in GMT.
2021-11-15T23:23:38ZThe date and time the end user was last updated in GMT.
2021-11-15T23:23:38Z
